<div class="main-content pad">
    <div class="container-fluid">
    	<div class="row">
                <div class="card">
                    <div class="card-header card-header-rose card-header-icon">
	                    <div class="card-icon">
	                            <i class="material-icons">poll</i>
	                        </div>
						    <h4 class="card-title">
						        <span>MENU VERIFIKASI KENDARAAN</span>
						    </h4>
						    </div>
        			<div class="card-body">
        			<!--<mat-accordion>
					   <mat-expansion-panel (opened)="panelOpenState = true" (closed)="panelOpenState = false"> 
					  <mat-expansion-panel [disabled]="true" [expanded]="true">
					    <mat-expansion-panel-header>
					      <mat-panel-title>
					        <span class="textH">FILTER PENCARIAN</span>
					      </mat-panel-title>
					       <mat-panel-description>
					        Currently I am {{panelOpenState ? 'open' : 'closed'}}
					      </mat-panel-description> 
					    </mat-expansion-panel-header>
								<div class="row">
							    	<div class="col-2"  [formGroup]="editForm">
							            <div class="input-group mb-3" >
							                  <select class="form-control textH" name="ppd" formControlName="ppd" id="field_sistem" (change)="onChange($event.target.value)">
							                      <option class="textH" value="" selected disabled>PILIH PENCARIAN</option>
							                      <option value="tgl" class="textH">TANGGAL PPD</option>
							                      <option value="bln" class="textH">BULAN PPD</option>
							                  </select>
										</div>
							         </div>
							        <div class="col-md-5">
							            <div class="input-group mb-4">
							                 <span *ngIf="sPpd">
							                	<input type="date" class="form-control textH" name="date" [(ngModel)]="date" (ngModelChange)="searchPpd('ppdDate')" required/>
											 </span> 
											 <span *ngIf="!sPpd">
							               		 <input type="month" class="form-control textH" name="month" [(ngModel)]="month" (ngModelChange)="searchPpd('ppdMonth')" required/>
											 </span>
							            </div>
							        </div>
							        <div class="col-md-2">
									</div>
							        <div class="col-md-3 input-group" [formGroup]="ppkGroup">
										<input type="text" class="form-control textH"  name="ppknomor" id="ppknomor" placeholder="Cari nomor kontrak..." formControlName="ppknomor">
										<button mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="searchppk('ppkNomor')">
						                        <i class="material-icons">search</i>
						                </button>
									</div>
							    </div>
					  </mat-expansion-panel>
					</mat-accordion>-->
	        			<!-- <div class="row">
					        <div class="col-md-5">
					            <h4 jhiTranslate="audits.filter.title" class="textH">Filter by date</h4>
					            <div class="input-group mb-3">
					                <div class="input-group-prepend">
					                    <span class="input-group-text textB" jhiTranslate="logbook.filter.from">from</span>
					                </div>
					                <input type="date" class="form-control" name="start" [(ngModel)]="fromDate" (ngModelChange)="transition()" required/>
					
					                <div class="input-group-append">
					                    <span class="input-group-text textB" jhiTranslate="logbook.filter.to">To</span>
					                </div>
					                <input type="date" class="form-control" name="end" [(ngModel)]="toDate" (ngModelChange)="transition()" required/>
					            </div>
					        </div>
					    </div> -->
        			<br/>
			            <jhi-alert-error></jhi-alert-error>
			            <div class="table-responsive-sm" *ngIf="kendaraans?.length > 0">
						        <table class="table table-no-bordered table-hover" aria-describedby="page-heading">
						            <tbody>
						            <tr jhiSort [(predicate)]="predicate" [(ascending)]="ascending" [callback]="loadData.bind(this)" class="textH">
							            <td scope="col" class="d-none d-sm-table-cell">MERK</td>
							            <td scope="col" class="d-none d-sm-table-cell">TIPE</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center">RODA</td>
							            <td scope="col" class="d-none d-sm-table-cell">WARNA</td>
							            <td scope="col" class="d-none d-sm-table-cell text-center">TAHUN</td>
							            <td scope="col" class="d-none d-sm-table-cell">NO RANGKA</td>
							            <td scope="col" class="d-none d-sm-table-cell">NO MESIN</td>
							            <td scope="col" class="d-none d-sm-table-cell"></td>
						            </tr>
						            </tbody>
						            <tbody>
						            <tr *ngFor="let kendaraan of kendaraans let i= index" class="textB">
						              <!--  <td class="d-none d-sm-table-cell">{{berkas.tanggalPpk | date:'dd-MM-yyyy'}}</td>-->
						                <td class="d-none d-sm-table-cell text-left">{{kendaraan.merk}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{kendaraan.tipe}}</td>
						                <td class="d-none d-sm-table-cell text-center">{{kendaraan.roda}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{kendaraan.warna}}</td>
						                <td class="d-none d-sm-table-cell text-center">{{kendaraan.tahunPembuatan}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{kendaraan.noRangka}}</td>
						                <td class="d-none d-sm-table-cell text-left">{{kendaraan.noMesin}}</td>
						                <td class="d-none d-sm-table-cell text-left">
											<button mat-raised-button class="btn btn-info btn-round btn-just-icon btn-sm" (click)="opendetail(kendaraan)">
						                        <i class="material-icons">edit</i>
						                	</button>
										</td>
						            </tr>
						            </tbody>
						        </table>
						</div>
			    <div>
			        <div class="row justify-content-center">
			            <jhi-item-count [page]="page" [total]="totalItems" [itemsPerPage]="itemsPerPage"></jhi-item-count>
			        </div>
			        <div class="row justify-content-center">
			            <ngb-pagination [collectionSize]="totalItems" [(page)]="page" [pageSize]="itemsPerPage" [maxSize]="5" [rotate]="true" [boundaryLinks]="true" (pageChange)="loadData($event)"></ngb-pagination>
			        </div>
			    </div>
        			</div>
			</div>
		</div>
	</div>
</div>